%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           python-ZODB3
Version:        3.9.0
Release:        0.1.a7%{?dist}
Summary:        Zope Object Database: Object Database and Persistence
Group:          Development/Languages
License:        ZPLv2.1
URL:            http://pypi.python.org/pypi/ZODB3/3.9.0a7
Source0:        http://pypi.python.org/packages/source/Z/ZODB3/ZODB3-3.9.0a7.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  python-devel
#BuildRequires:  python-transaction
#BuildRequires:  python-zdaemon
#BuildRequires:  python-zope-interface
#BuildRequires:  python-zope-proxy
#BuildRequires:  python-zope-testing
Requires:       python-transaction
Requires:       python-zc-lockfile
Requires:       python-ZConfig
Requires:       python-zdaemon
Requires:       python-zope-event
Requires:       python-zope-interface
Requires:       python-zope-proxy
Requires:       python-zope-testing


%description
The Zope Object Database provides an object-oriented database for Python
that provides a high-degree of transparency. Applications can take
advantage of object database features with few, if any, changes to
application logic. ZODB includes features such as a plugable storage
interface, rich transaction support, and undo.


%prep
%setup -q -n ZODB3-3.9.0a7
for script in src/{ZODB,ZEO}/{zeoctl.py,scripts/{*.py,*/*.py}}; do
  if head -n 1 $script | grep -q '#!'; then
    sed -i '1,1d' $script
  fi
done


%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libexecdir}/%{name}
for binary in fsdump fsoids fsrefs fstail mkzeoinst repozo runzeo zeoctl \
    zeopack zeopasswd; do
  mv $RPM_BUILD_ROOT{%{_bindir}/${binary},%{_libexecdir}/%{name}/${binary}}
done


%check
#%{__python} setup.py test

 
%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc HISTORY.txt README.txt
%{python_sitearch}/*
%{_libexecdir}/%{name}
%{_includedir}/python?.?/ZODB3


%changelog
* Mon Dec 15 2008 Conrad Meyer <konrad@tylerc.org> - 3.9.0-0.1.a7
- Initial package.
